aboutsummaryrefslogtreecommitdiff
path: root/media/sound/ardour
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:04:01 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:04:01 +0000
commit4956a045a010b3769cb1cff54466970287bdcf6e (patch)
tree95ddac5add523c87fae9c667e4a2e8a43346fb73 /media/sound/ardour
parentd42b9fde38d800bb608fca4d119f5a7324957392 (diff)
downloadslackbuilds-4956a045a010b3769cb1cff54466970287bdcf6e.tar.gz
slackbuilds-4956a045a010b3769cb1cff54466970287bdcf6e.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@662 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/sound/ardour')
-rwxr-xr-xmedia/sound/ardour/ardour.SlackBuild43
-rwxr-xr-xmedia/sound/ardour/ardour.build115
-rw-r--r--media/sound/ardour/slack-required7
3 files changed, 165 insertions, 0 deletions
diff --git a/media/sound/ardour/ardour.SlackBuild b/media/sound/ardour/ardour.SlackBuild
new file mode 100755
index 00000000..9976c3b1
--- /dev/null
+++ b/media/sound/ardour/ardour.SlackBuild
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# SlackBuild script to call ardour.build with correct settings
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ardour are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="ardour"
+VERSION=${VERSION:=0.99.3}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
+
diff --git a/media/sound/ardour/ardour.build b/media/sound/ardour/ardour.build
new file mode 100755
index 00000000..3fce07bc
--- /dev/null
+++ b/media/sound/ardour/ardour.build
@@ -0,0 +1,115 @@
+#!/bin/bash
+#
+# build script for ardour
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="ardour"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.99.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38 ERROR_GPP=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://ardour.org/files/releases/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+scons PREFIX=/usr KSI=yes || exit $ERROR_MAKE
+scons install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ardour: ardour (Digital Audio Workstation)
+ardour:
+ardour: Ardour is a professional multitrack/multichannel audio recorder and
+ardour: DAW for Linux, using ALSA-supported audio interfaces. It supports
+ardour: up to 32 bit samples, 24+ channels at up to 96kHz, full MMC control,
+ardour: a non-destructive, non-linear editor, and LADSPA plugins.
+ardour:
+ardour:
+ardour:
+ardour:
+ardour:
+EOF
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+cp $CWD/COPYING /usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS AUTHORS.es BUILD CONTRIBUTORS FAQ README TRANSLATORS; do
+ cp $CWD/DOCUMENTATION/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/media/sound/ardour/slack-required b/media/sound/ardour/slack-required
new file mode 100644
index 00000000..60292595
--- /dev/null
+++ b/media/sound/ardour/slack-required
@@ -0,0 +1,7 @@
+scons
+raptor
+liblrdf
+ladspa
+libsamplerate
+libsndfile
+jack